from setuptools import setup, find_packages

with open("README.md", "r") as f:
    long_description = f.read()
setup(
    name="azure-genai-utils",
    version="0.0.2.21",
    description="Utility functions for Azure GenAI",
    long_description=long_description,
    long_description_content_type="text/markdown",
    license="Apache License 2.0",
    url="https://github.com/daekeun-ml/azure-genai-utils",
    install_requires=[
        "audiomentations>=0.41.0",
        "azure-ai-contentsafety>=1.0.0",
        "azure-ai-documentintelligence>=1.0.2",
        "azure-ai-evaluation>=1.7.0",
        "azure-ai-inference>=1.0.0b9",
        "azure-ai-projects>=1.0.0b11",
        "azure-cognitiveservices-speech>=1.44.0",
        "azure-identity>=1.23.0",
        "langchain>=0.3.25",
        "langchain-community>=0.3.24",
        "langchain-openai>=0.3.18",
        "langgraph>=0.4.5",
        "openai>=1.82.0",
        "pdfplumber>=0.11.6",
        "pybase64>=1.4.1",
        "python-dotenv>=1.1.0",
        "tiktoken>=0.9.0",
    ],
    packages=find_packages(exclude=[]),
    keywords=[
        "azure",
        "genai",
        "azure-genai-utils",
        "azure-genai",
        "langchain",
        "microsoft",
        "bing",
        "langgraph",
    ],
    python_requires=">=3.10",
    include_package_data=True,
    zip_safe=False,
    classifiers=[
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "Programming Language :: Python :: 3.13",
    ],
)
